/usr/bin/globus-sh-exec is in globus-common-progs 16.0-2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 | #! /bin/sh
#
# Copyright 1999-2006 University of Chicago
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
prefix="${GLOBUS_LOCATION-/usr}"
exec_prefix="${prefix}"
sbindir="${exec_prefix}/sbin"
bindir="${exec_prefix}/bin"
includedir="${prefix}/include/globus"
datarootdir="${prefix}/share"
datadir="${datarootdir}"
libexecdir="${datadir}/globus"
sysconfdir="/etc"
sharedstatedir="/var/lib"
localstatedir="/var"
. ${libexecdir}/globus-script-initializer
globus_source ${libexecdir}/globus-sh-tools.sh
# This was done by the script initializer before V2.0
# So we need to add it here
#
if [ -z "$GLOBUS_SH_VARIABLES_SET" ]; then
for _var in `${GLOBUS_SH_SED-sed} -n '/^ GLOBUS_SH/s/=.*$//p' \
${libexecdir}/globus-sh-tools.sh`
do
export ${_var}
done
GLOBUS_SH_VARIABLES_SET="Y"
export GLOBUS_SH_VARIABLES_SET
fi
#
# sources the globus-sh-tools file, then executes a script provided
# by the user.
#
# Synopsis: globus-sh-exec [-l][-h] [script | https:/.../script] args
#
set -f
PROGRAM_NAME=`echo $0 | ${GLOBUS_SH_SED-sed} 's|.*/||g'`
PROGRAM_VERSION=`echo '$Revision$'| ${GLOBUS_SH_SED-sed} -e 's|\\$||g' -e 's|Revision: \(.*\)|\1|'`
VERSION="16.0"
PACKAGE="globus_common"
DIRT_TIMESTAMP="1445639573"
DIRT_BRANCH_ID="85"
short_usage="globus-sh-exec [-l][-h] [-e | script] args ..."
long_usage()
{
${GLOBUS_SH_CAT-cat} 1>&2 <<EOF
${short_usage}
Defines a set of GLOBUS_SH_ variables, then sources a user script.
The user script is a local file, or can be referred to with a GASS
URL.
Additional arguments "args ..." are passed on to the user script.
Options:
-help Shows help and exits
-usage Shows help and exits
-version Shows version and exits
-list (-l) Lists the defined GLOBUS_ variables and exits
-exec (-e) Commands are read from the argument line
For user script examples, see the documentation at www.globus.org
EOF
}
globus_source ${libexecdir}/globus-args-parser-header $@
ListDefinedValues()
{
set |
${GLOBUS_SH_GREP-grep} "^GLOBUS_" |
${GLOBUS_SH_SORT-sort} -u |
${GLOBUS_SH_SED-sed} -e 's/=/="/' -e 's/$/"/'
}
FixThePath()
{
ListDefinedValues | (
read line
while [ -n "$line" ]; do
arg=`echo $line | sed 's/^.*=//p'`
if [ -x "$arg" ]; then
dir=`${GLOBUS_SH_DIRNAME-dirname} $arg`
if [ X`echo ":${PATH}:" | sed -n "s|:$dir:||p"` = X ]; then
PATH="${PATH}:${dir}"
fi
fi
read line
done
)
export PATH
}
ProcessScript()
{
if [ ! -r ${file} ]; then
echo "Error: cannot execute ${file}. -h for help" 1>&2
exit 1
fi
FixThePath
set +f
. ${file}
}
CleanUp()
{
if [ "${sh_exec_cleanup_file}x" != "x" ]; then
${GLOBUS_SH_RM-rm} -f ${sh_exec_cleanup_file}
fi
}
# Any arguments? If not, show usage
#
if [ $# -lt 1 ]; then
globus_args_short_usage
exit 1
fi
trap CleanUp 0 1 2 3 9 12 13 14 15
sh_exec_cleanup_file=""
case "$1" in
-h|-help|-usage)
long_usage
exit 0
;;
-l|-list)
ListDefinedValues
exit 0
;;
-e|-exec)
USER=`${GLOBUS_SH_WHOAMI-whoami}`
file=/tmp/globus-sh-exec-script.${USER}.$$
sh_exec_cleanup_file=${file}
shift
echo "$@" > ${file}
ProcessScript ""
;;
https:*)
USER=`${GLOBUS_SH_WHOAMI-whoami}`
file=/tmp/globus-sh-exec-script.${USER}.$$
sh_exec_cleanup_file=${file}
${bindir}/globus-url-copy $1 file:${file}
status=$?
if [ ${status} -ne 0 ]; then
echo "Error getting remote file" 1>&2
exit 1
fi
shift
ProcessScript "$@"
;;
.*|/*|*)
file=$1
shift
ProcessScript "$@"
;;
esac
|